Marks user as AWAY in Google Chat.
Sets the user's state to away and is not affected by the user's activity.
This method only updates the authenticated user's availability.
Requires user authentication with authorization scope:
https://www.googleapis.com/auth/chat.users.availability
HTTP request
POST https://chat.googleapis.com/v1/{name=users/*/availability}:markAsAway
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the availability to mark as away. Format: users/{user}/availability
The user's email address or |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Availability.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/chat.users.availability
For more information, see the Authorization guide.